
Backlog Courrier - Anomalie #18516

Reprise de donnée 20.03 nature_id

10/13/2021 04:14 PM - Ludovic ARAUJO

Status: Développé / Analysé (S) Start date: 10/13/2021

Priority: 0-Bloquant Due date: 11/04/2021

Assignee: Guillaume HEURTIER   

Category:    

Target version: 20.03 (Restreint)   

Tags Courrier: 20.03.23   

Description

La reprise des données pour le champ custom nature n'est pas repris.

Si le client a un custom, l'intégrité de l'information est perdue suite à la migration.

SQL de reprise actuelle qui pose probleme :

/* DATA */

TRUNCATE TABLE custom_fields;

INSERT INTO custom_fields (id, label, type, values) VALUES (1, 'Nature', 'select', '

["Courrier simple", "Courriel", "Courrier suivi", "Courrier avec AR", "Autre"]');

SELECT setval('custom_fields_id_seq', (select max(id)+1 from custom_fields), false);

DO $$ BEGIN

  IF (SELECT EXISTS (SELECT 1 FROM information_schema.tables WHERE table_name = 'mlb_coll_ext')) 

THEN

    UPDATE res_letterbox SET custom_fields = json_build_object('1', 'Courrier simple') FROM

 mlb_coll_ext WHERE res_letterbox.res_id = mlb_coll_ext.res_id AND mlb_coll_ext.nature_id = '

simple_mail';

    UPDATE res_letterbox SET custom_fields = json_build_object('1', 'Courriel') FROM mlb_coll_ext 

WHERE res_letterbox.res_id = mlb_coll_ext.res_id AND mlb_coll_ext.nature_id = 'email';

    UPDATE res_letterbox SET custom_fields = json_build_object('1', 'Autre') FROM mlb_coll_ext 

WHERE res_letterbox.res_id = mlb_coll_ext.res_id AND mlb_coll_ext.nature_id in ('fax', 'other', '

courier');

    UPDATE res_letterbox SET custom_fields = json_build_object('1', 'Courrier suivi') FROM

 mlb_coll_ext WHERE res_letterbox.res_id = mlb_coll_ext.res_id AND mlb_coll_ext.nature_id in ('

chronopost', 'fedex');

    UPDATE res_letterbox SET custom_fields = json_build_object('1', 'Courrier avec AR') FROM

 mlb_coll_ext WHERE res_letterbox.res_id = mlb_coll_ext.res_id AND mlb_coll_ext.nature_id = '

registered_mail';

  END IF;

END$$;

 

On va plancher sur un correctif pour nos clients TMA mais c'est un problème qui a affecté toutes les migrations jusqu'a aujourd'hui.

Des migrations en 21.03 depuis une 19.04 ou moins sont encore prévue.

Le problème est à résoudre au plus vite.

History

#1 - 10/13/2021 04:15 PM - Ludovic ARAUJO

- Description updated

#2 - 10/14/2021 10:12 AM - Madina Makhmutova

- Due date changed from 10/15/2021 to 10/19/2021

- Status changed from A qualifier to En cours

- Assignee set to Guillaume HEURTIER
#3 - 10/14/2021 10:12 AM - Madina Makhmutova

- Status changed from En cours to En cours de dev (S)

#4 - 10/18/2021 10:39 AM - Guillaume HEURTIER

- Status changed from En cours de dev (S) to A tester (S)

#5 - 10/18/2021 10:42 AM - GIT LAB

Commit ajouté sur la branche fix/18516/20.03 de MaarchCourrier

FIX #18516 TIME 1:35 migrate custom migrations

 https://labs.maarch.org/maarch/MaarchCourrier/commit/0cb4e8316f7c4169d3e60e6777b779eb80d2eaa9

#6 - 10/18/2021 06:05 PM - Alex ORLUC

- Status changed from A tester (S) to Développé / Analysé (S)

#7 - 10/19/2021 11:43 AM - Madina Makhmutova

- Subject changed from Reprise de donnée 20.03nature_id to Reprise de donnée 20.03 nature_id

- Due date changed from 10/19/2021 to 11/04/2021

- Tags Courrier 20.03.23 added
